/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.picotech.picoscope.ps3000a;

import com.picotech.picoscope.OpenUnitParameters;
import com.picotech.picoscope.UnitInfo;

/**
 * This class provides native methods to 
 * 
 * @author hitesh
 */
public class PS3000aJNIWrapperAccess 
{
    
    /**
     * This method calls native code to close down the unit.
     * 
     * @param handle the handle, returned by ps3000aOpenUnit, of the scope
                device to be closed.
     * @return PicoStatus value
     */
    protected native int ps3000aCloseUnit(short handle);
    
    /**
     * This method calls native code to open a unit.
     * 
     * @param openUnitParameters Object containing handle and serial parameters.
     * @return PicoStatus value
     */
    protected native int ps3000aOpenUnit(OpenUnitParameters openUnitParameters);
    
    /**
     * This method calls native code to obtain information on a unit.
     * 
     * @param handle the handle of the device from which information is required.
     * @param info a number specifying what information is required. (Refer to the Programmer's guide).
     * @return PicoStatus value
     */
    protected native int ps3000aGetUnitInfo(short handle, UnitInfo unitInfo);
    
    // Load the library
    static
    {
        System.loadLibrary("PS3000A_JNIWrap");
    }

    
    /**
     * Constructs a PS3000aJNIWrapperAccess object to
     */
    public PS3000aJNIWrapperAccess() 
    {
        // Do nothing
    }
    
    

}
